> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-integration/readme/static-data/players-endpoint.md).

# Players Endpoint

This endpoint returns information on all players, including:

* Player ID
* Player name
* Country
* Date of birth (if known)
* European tour ID
* PGA tour ID

### Endpoint URLs

New endpoint: `https://dde-api.data.imgarena.com/golf/players`

### Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

### Request Parameters

This endpoint currently takes the following parameters:

| Parameter | Value                                                                                                                                    |
| --------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| results   | used to decide how many results you would like in the response.                                                                          |
| offset    | used in conjunction with results, if you use \&results=100\&offset=1 this will give you the first page of 100 results from this endpoint |

NB: By passing ‘results’ you will gather the first 100 results by default and by-passing results=100\&offset=2 this will return the first 100 on page 2.

If no parameters are passed, the endpoint will return the first 100 players in the database.

### Response Model

\
**Player Summary Object**

| Field Name           | Type    | Description                                                                 |
| -------------------- | ------- | --------------------------------------------------------------------------- |
| playerId             | int     | The ID of the player that will be referenced across the DDE                 |
| playerLPGATourId     | int     | Player's LPGA tour Id (if relevant)                                         |
| playerRandAId        | int     | Players R\&A Id (if relevant)                                               |
| playerEuropeanTourId | string  | The European Tour ID of the player (if applicable, if not, null)            |
| playerPGATourId      | string  | The PGA Tour ID of the player (if applicable, if not, null)                 |
| displayName          | string  | The display name of the player (encoded in UTF-8)                           |
| firstName            | string  | The first name of the player (encoded in UTF-8)                             |
| lastName             | string  | The last name of the player (encoded in UTF-8)                              |
| country              | string  | The ISO country code of the country in which the tournament is taking place |
| isAmateur            | boolean | Is the player an amateur or not                                             |
| isActive             | boolean |                                                                             |
| gender               | string  | The gender of the player                                                    |
| dateOfBirth          | date    | player’s date of birth, null if unknown                                     |

```
{
            "playerSummary": {
                "displayName": "Chris Paisley",
                "playerPGATourId": "34414",
                "playerEuropeanTourId": "37086",
                "dateOfBirth": null,
                "country": "ENG",
                "isAmateur": false,
                "lastName": "Paisley",
                "firstName": "Chris",
                "isActive": true,
                "playerId": 1,
                "playerLPGATourId": null,
                "gender": "Male"
            },
            "europeanTourRanking": null
        },
```

**European Tour Ranking Object**

Currently will be null – these docs will be updated when this is available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf-integration/readme/static-data/players-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
